## LassoSamlpRequestAbstract LassoSamlpRequestAbstract — <samlp:RequestAbstractType> |

## Types and Values

struct | LassoSamlpRequestAbstract

## Description

Figure 33. Schema fragment for samlp:RequestAbstractType

    <complexType name="RequestAbstractType" abstract="true">
      <sequence>
        <element ref="samlp:RespondWith" minOccurs="0" maxOccurs="unbounded"/>
        <element ref="ds:Signature" minOccurs="0"/>
      </sequence>
      <attribute name="RequestID" type="saml:IDType" use="required"/>
      <attribute name="MajorVersion" type="integer" use="required"/>
      <attribute name="MinorVersion" type="integer" use="required"/>
      <attribute name="IssueInstant" type="dateTime" use="required"/>
    </complexType>

    <element name="RespondWith" type="QName"/>

    From oasis-sstc-saml-schema-assertion-1.0.xsd:
    <simpleType name="IDType">
      <restriction base="string"/>
    </simpleType>

## Functions

## Types and Values

### struct LassoSamlpRequestAbstract

    struct LassoSamlpRequestAbstract {
    	LassoNode parent;

    	/* <element ref="samlp:RespondWith" minOccurs="0" maxOccurs="unbounded"/> */
    	GList *RespondWith; /* of strings */
    	/* <attribute name="RequestID" type="saml:IDType" use="required"/> */
    	char *RequestID;
    	/* <attribute name="MajorVersion" type="integer" use="required"/> */
    	int MajorVersion;
    	/* <attribute name="MinorVersion" type="integer" use="required"/> */
    	int MinorVersion;
    	/* <attribute name="IssueInstant" type="dateTime" use="required"/> */
    	char *IssueInstant;

    	/* ds:Signature stuffs */
    	LassoSignatureType sign_type;
    	LassoSignatureMethod sign_method;
    	char *private_key_file;
    	char *certificate_file;
    };